package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 车载心跳日志表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseTerminalLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *终端编码
     */
    private String terminalCode;

    /**
     * 终端经度
     */
    @TableField(exist = false)
    private String terminalLongitude;

    /**
     * 终端纬度
     */
    @TableField(exist = false)
    private String terminalLatitude;
}
